org.eclipse.rdf4j.query.parser.serql.ast

## Class ASTTupleQuerySet

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode
  - - org.eclipse.rdf4j.query.parser.serql.ast.ASTQuery
    - - org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleQuery
      - - org.eclipse.rdf4j.query.parser.serql.ast.ASTTupleQuerySet

- All Implemented Interfaces:
    Node
  Direct Known Subclasses:
    ASTTupleIntersect, ASTTupleMinus, ASTTupleUnion

      public abstract class ASTTupleQuerySet
      extends ASTTupleQuery

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode

      `children, id, parent, parser`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ASTTupleQuerySet(int i)`
    `protected` | `ASTTupleQuerySet(SyntaxTreeBuilder p, int i)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASTTupleQuery` | `getLeftArg()`
    `ASTTupleQuery` | `getRightArg()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode

      `childrenAccept, dump, dump, jjtAccept, jjtAddChild, jjtAppendChild, jjtClose, jjtGetChild, jjtGetChild, jjtGetChildren, jjtGetChildren, jjtGetNumChildren, jjtGetParent, jjtInsertChild, jjtOpen, jjtReplaceChild, jjtReplaceWith, jjtSetParent, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTTupleQuerySet

          protected ASTTupleQuerySet(int i)

    - #### ASTTupleQuerySet

          protected ASTTupleQuerySet(SyntaxTreeBuilder p,
                                     int i)

  - ### Method Detail

    - #### getLeftArg

          public ASTTupleQuery getLeftArg()

    - #### getRightArg

          public ASTTupleQuery getRightArg()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.